using System.CommandLine;
using MycroForge.CLI.Commands.Interfaces;

namespace MycroForge.CLI.Commands;

public partial class MycroForge
{
    public partial class Db
    {
        public class Rollback : Command, ISubCommandOf<Db>
        {
            private readonly ProjectContext _context;

            public Rollback(ProjectContext context) : base("rollback", "Rollback the last migration")
            {
                _context = context;
                this.SetHandler(ExecuteAsync);
            }

            private async Task ExecuteAsync()
            {
                await _context.Bash([
                    "source .venv/bin/activate",
                    "alembic downgrade -1"
                ]);
            }
        }
    }
}